/***********************************************************************
 *
 * linux/include/asm/arch-ns9750/uncompress.h
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 * MA 02111-1307 USA
 *
 ***********************************************************************/
#if defined(CONFIG_MACH_ARMADILLO300)
#define MAPPING_FLAT
#include <asm/arch/ns9750_ser.h>

/***********************************************************************
 * @Function: puts
 * @Return: n/a
 * @Descr: prints a string, converting \n to \n\r. Taken from
 *         u-boot-1.0.2/ns9750_serial.c:serial_puts
 ***********************************************************************/

static void putstr( const char* s )
{
	char c = *s;

	while( c ) {
		while (!(get_ser_reg_channel( NS_SER_STAT_A, 1) &
			 NS_SER_STAT_A_TRDY ) ) {
			/* do nothing, wait for characters in FIFO sent */
		}

		get_ser_reg_channel( NS_SER_FIFO, 1 ) = c;
		if (c == '\n')
			c = '\r';
		else {
			s++;
			c = *s;
		}
	}
}
#endif

/* nothing to do */
#define arch_decomp_setup()
#define arch_decomp_wdog()
